[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.EndsWith

Check if the string is ended by another.

## Declaration

Source position: syshelph.inc line 106

`public function TStringHelper.EndsWith(`
`const AValue: string`
`):Boolean; overload; function TStringHelper.EndsWith(`
`const AValue: string;`
`IgnoreCase: Boolean`
`):Boolean; overload;`

## Description

EndsWith returns True if the string (Self) ends on AValue, i.e. whether the last characters in Self are the ones found in AValue. The comparison is done case insensitively depending on the IgnoreCase argument (which is false by default).

## See also

CompareText |  | Compare 2 ansistrings case insensitive.
TStringHelper.EndsText |  | Check if one string is the ending of another.